gravatar for acs

3 hours ago by

Hello,
I am trying to install WGCNA package in Linux Lite 5.2 Terminal but this error message appears:

install.packages("WGCNA")
Installing package into ‘/usr/local/lib/R/site-library’
(as ‘lib’ is unspecified)
Warning: dependencies ‘GO.db’, ‘AnnotationDbi’ are not available
also installing the dependencies ‘farver’, ‘scales’, ‘ggplot2’, ‘viridis’, ‘Hmisc’

probando la URL 'https://cloud.r-project.org/src/contrib/farver_2.0.3.tar.gz'
Content type 'application/x-gzip' length 1279579 bytes (1.2 MB)
==================================================
downloaded 1.2 MB

probando la URL 'https://cloud.r-project.org/src/contrib/scales_1.1.1.tar.gz'
Content type 'application/x-gzip' length 515201 bytes (503 KB)
==================================================
downloaded 503 KB

probando la URL 'https://cloud.r-project.org/src/contrib/ggplot2_3.3.3.tar.gz'
Content type 'application/x-gzip' length 3058840 bytes (2.9 MB)
==================================================
downloaded 2.9 MB

probando la URL 'https://cloud.r-project.org/src/contrib/viridis_0.5.1.tar.gz'
Content type 'application/x-gzip' length 1906320 bytes (1.8 MB)
==================================================
downloaded 1.8 MB

probando la URL 'https://cloud.r-project.org/src/contrib/Hmisc_4.4-2.tar.gz'
Content type 'application/x-gzip' length 757386 bytes (739 KB)
==================================================
downloaded 739 KB

probando la URL 'https://cloud.r-project.org/src/contrib/WGCNA_1.69.tar.gz'
Content type 'application/x-gzip' length 1168289 bytes (1.1 MB)
==================================================
downloaded 1.1 MB

ERROR: failed to lock directory ‘/usr/local/lib/R/site-library’ for modifying
Try removing ‘/usr/local/lib/R/site-library/00LOCK-farver’
ERROR: dependency ‘farver’ is not available for package ‘scales’
* removing ‘/usr/local/lib/R/site-library/scales’
ERROR: dependency ‘scales’ is not available for package ‘ggplot2’
* removing ‘/usr/local/lib/R/site-library/ggplot2’
ERROR: dependency ‘ggplot2’ is not available for package ‘viridis’
* removing ‘/usr/local/lib/R/site-library/viridis’
ERROR: dependencies ‘ggplot2’, ‘viridis’ are not available for package ‘Hmisc’
* removing ‘/usr/local/lib/R/site-library/Hmisc’
ERROR: dependencies ‘Hmisc’, ‘GO.db’, ‘AnnotationDbi’ are not available for package ‘WGCNA’
* removing ‘/usr/local/lib/R/site-library/WGCNA’

The downloaded source packages are in
    ‘/tmp/Rtmpl6nndh/downloaded_packages’
Warning messages:
1: In install.packages("WGCNA") :
  installation of package ‘farver’ had non-zero exit status
2: In install.packages("WGCNA") :
  installation of package ‘scales’ had non-zero exit status
3: In install.packages("WGCNA") :
  installation of package ‘ggplot2’ had non-zero exit status
4: In install.packages("WGCNA") :
  installation of package ‘viridis’ had non-zero exit status
5: In install.packages("WGCNA") :
  installation of package ‘Hmisc’ had non-zero exit status
6: In install.packages("WGCNA") :
  installation of package ‘WGCNA’ had non-zero exit status

I have also try to install the dependecy packages individually but it seems that there is a specific problem with the package GO.db
Any idea about how to solve it, please?

Thank you

link

written
3 hours ago
by

acs0



Source link